org.eclipse.jdt.launching

## Interface IVMInstall2

All Known Implementing Classes:
  AbstractVMInstall, VMStandin

    public interface IVMInstall2

Optional extensions that may be implemented by an `IVMInstall`.

When an `IVMInstall` implements this interface, clients must call `getVMArgs()` in place of `getVMArguments()` and `setVMArgs(String)` in place of `setVMArguments(String[])`. This avoids the problem noted in bug 73493.

Additionally, this interface optionally provides the Java version associated with a VM install.

Clients that implement `IVMInstall` may additionally implement this interface. However, it is strongly recommended that clients subclass `AbstractVMInstall` instead, which already implements this interface, and will insulate clients from additional API additions in the future.

Since:
  3.1

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getJavaVersion()` Returns a string representing the `java.version` system property of this VM install, or `null` if unknown.
`String` `getVMArgs()` Returns VM arguments to be used with this vm install whenever this VM is launched as a raw string, or `null` if none.
`void` `setVMArgs(String vmArgs)` Sets VM arguments to be used with this vm install whenever this VM is launched as a raw string, possibly `null`.

### Method Detail

#### getVMArgs

    String getVMArgs()

Returns VM arguments to be used with this vm install whenever this VM is launched as a raw string, or `null` if none.

Returns:
  VM arguments to be used with this vm install whenever this VM is launched as a raw string, or `null` if none

#### setVMArgs

    void setVMArgs(String vmArgs)

Sets VM arguments to be used with this vm install whenever this VM is launched as a raw string, possibly `null`.

Parameters:
  `vmArgs` - VM arguments to be used with this vm install whenever this VM is launched as a raw string, possibly `null`

#### getJavaVersion

    String getJavaVersion()

Returns a string representing the `java.version` system property of this VM install, or `null` if unknown.

Returns:
  a string representing the `java.version` system property of this VM install, or `null` if unknown.